net.percederberg.mibble

## Interface MibContext

- All Known Implementing Classes:
    BitSetType, IntegerType, Mib, MibImport, SnmpTextualConvention, TypeReference

      public interface MibContext

  A MIB symbol context. This interface is implemented by all objects that contains multiple named references to MIB symbols.

  Note: This interface is internal to Mibble and only exposed to make it available in different packages.

  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibSymbol` | `findSymbol(java.lang.String name, boolean expanded)` Searches for a named MIB symbol.

- - ### Method Detail

    - #### findSymbol

          MibSymbol findSymbol(java.lang.String name,
                             boolean expanded)

      Searches for a named MIB symbol. This method may search outside the normal (or strict) scope, thereby allowing a form of relaxed search. Note that the results from the normal and expanded search may not be identical, due to the context chaining and the same symbol name appearing in various contexts.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Parameters:
        `name` - the symbol name
        `expanded` - the expanded scope flag
      Returns:
        the MIB symbol, or null if not found
      Since:
        2.4